local t = Def.ActorFrame{};

if GAMESTATE:GetCoinMode() == 'CoinMode_Pay' then
	t[#t+1] = Def.ActorFrame{
		Def.Quad{
			InitCommand=cmd(FullScreen;diffuse,color("#000000"));
		};
	};
else
	t[#t+1] = Def.ActorFrame{
		Def.Quad{
			InitCommand=cmd(FullScreen;diffuse,color("#000000"));
		};
		Def.ActorFrame{
			InitCommand=cmd(x,SCREEN_CENTER_X+SCREEN_WIDTH/3;y,SCREEN_CENTER_Y+SCREEN_HEIGHT/3;zoom,.5);
			LoadActor(THEME:GetPathG("save","bg"));
			LoadActor(THEME:GetPathG("save","fg"))..{
				InitCommand=cmd(spin);
			};
		};
	};
end;

t[#t+1] = Def.Actor {
	BeginCommand=function(self)
		if SCREENMAN:GetTopScreen():HaveProfileToSave() then self:sleep(1); end;
		self:queuecommand("Load");
	end;
	LoadCommand=function() SCREENMAN:GetTopScreen():Continue(); end;
};

return t;